Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle.processor
Class ProcessIfStartedWaitIfSyncPausedMessageProcessor

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.processor.AbstractFilteringMessageProcessor
              org.mule.lifecycle.processor.ProcessIfStartedMessageProcessor
                  org.mule.lifecycle.processor.ProcessIfStartedWaitIfPausedMessageProcessor
                      org.mule.lifecycle.processor.ProcessIfStartedWaitIfSyncPausedMessageProcessor

All Implemented Interfaces:
  MuleContextAware, InterceptingMessageProcessor, MessageProcessor, MessageSource

    public class ProcessIfStartedWaitIfSyncPausedMessageProcessor

extends ProcessIfStartedWaitIfPausedMessageProcessor

Field Summary

Fields inherited from class org.mule.lifecycle.processor.ProcessIfStartedMessageProcessor
`lifecycleState, startable`

Fields inherited from class org.mule.processor.AbstractFilteringMessageProcessor
`throwOnUnaccepted, unacceptedMessageProcessor`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, muleContext, next, notificationHandler`

Constructor Summary
`ProcessIfStartedWaitIfSyncPausedMessageProcessor(Startable startable, LifecycleState lifecycleState)`

Method Summary
`protected MuleEvent` | `processNext(MuleEvent event)`

Methods inherited from class org.mule.lifecycle.processor.ProcessIfStartedWaitIfPausedMessageProcessor
`accept, isPaused`

Methods inherited from class org.mule.lifecycle.processor.ProcessIfStartedMessageProcessor
`getStartableName, handleUnaccepted`

Methods inherited from class org.mule.processor.AbstractFilteringMessageProcessor
`filterUnacceptedException, getUnacceptedMessageProcessor, isThrowOnUnaccepted, process, setThrowOnUnaccepted, setUnacceptedMessageProcessor`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, setListener, setMuleContext, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessIfStartedWaitIfSyncPausedMessageProcessor

    public ProcessIfStartedWaitIfSyncPausedMessageProcessor(Startable startable,
                                                            LifecycleState lifecycleState)

Method Detail

### processNext

    protected MuleEvent processNext(MuleEvent event)
                             throws MuleException

  Overrides:
    `processNext` in class `ProcessIfStartedWaitIfPausedMessageProcessor`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.